Bug 428158 - clamav-milter notify problem
clamav-milter notify problem
Status: CLOSED NEXTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: clamav (Show other bugs)
el4
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-09 13:10 EST by Simone Marchioni
Modified: 2011-04-07 18:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-07 18:02:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simone Marchioni 2008-01-09 13:10:59 EST
Description of problem:

I installed clamav-milter from EPEL repository on a CentOS 4.6 i386
machine.
It work well but when I send a mail with a fake virus to test, it
correctly detect the virus but it can't send a notify to the sender.

Version-Release number of selected component (if applicable):

clamav-data                         0.92-4.el4.2
clamav-filesystem                   0.92-4.el4.2
clamav-lib                          0.92-4.el4.2
clamav-milter                       0.92-4.el4.2
clamav-milter-sysv                  0.92-4.el4.2
clamav-update                       0.92-4.el4.2

How reproducible:
Always

Steps to Reproduce:
1. Create a new mail with the Eicar test file attached
2. Send to the mail server with clamav-milter
3. The virus is correctly detected but the notify is not sent
  
Actual results:
The file /var/log/clamd.milter shows:

/tmp/clamav-b7554818de2dc90f29d8c5ac67c1a847/msg.AaV6tb:
Eicar-Test-Signature FOUND
m092Ns53003533: /tmp/clamav-b7554818de2dc90f29d8c5ac67c1a847/msg.AaV6tb:
Eicar-Test-Signature Intercepted virus from <sender> to <recipient>
sh: no: command not found
m092Ns53003533: Failed to notify clamAV interception - see dead.letter

Expected results:
As stated in man clamav-milter:
"When clamav-milter processes an e-mail which contains a virus it
rejects the e-mail by using the SMTP code 550 or 554"

Additional info:
I tried to disable SELinux but anything changed.
Comment 1 Nick Bebout 2011-03-04 21:05:41 EST
Please try the new package that is in epel-testing.  It's based off of a new spec and is upgraded to 0.97.
Comment 2 Nick Bebout 2011-04-07 18:02:47 EDT
They should be pushed to stable, or will be soon.  Please reopen if bug still exists.

Note You need to log in before you can comment on or make changes to this bug.